For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWebhooks

Get subscription events

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/hooks/subscriptions/:subscription_id/events/
GET
/api/v1/hooks/subscriptions/:subscription_id/events/
$curl -G https://api.prolific.com/api/v1/hooks/subscriptions/subscription_id/events/ \
> -H "Authorization: Token <token>" \
> -d status=SUCCEEDED
1{
2 "results": [
3 {
4 "id": "6394cee483e14a167638b36c",
5 "datetime_created": "2022-12-10T18:24:36.041000Z",
6 "datetime_updated": "2022-12-10T18:24:36.041000Z",
7 "event_type": "study.status.change",
8 "resource_id": "6394cee383e14a167638b368",
9 "status": "SUCCEEDED",
10 "target_url": "https://example.com"
11 }
12 ]
13}
Get all of the events that have triggered for the given subscription.
Was this page helpful?
Previous

Update a subscription

Next

Invitations

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

subscription_idstringRequired
Subscription id

Query parameters

offsetintegerOptional>=0Defaults to 0
limitintegerOptional1-1000Defaults to 100
statusstringOptional
Filter events by status. Accepts a single status or a JSON array of statuses as a string.
resource_idstringOptional
Filter events by the ID of the resource for which the event was sent.

Response

Retrieved
resultslist of objects
All the events triggered for the subscription

Errors

4XX
Client Request Error